%define subrel 1

Summary:	Software for Electricians
Name:		coban
Version:	1.2.0
Release:	%mkrel 6
URL:		http://www.sg-logiciels.fr/index.php?page=coban
Source0:	%{name}_%{version}.tar.gz
License:	CECILL
Requires:       python
Requires:       wxPython
Group:		Sciences/Physics 

%description
Software for Electricians

%files
%py_platsitedir/%name
%attr(0755,root,root) %_bindir/coban
%{_datadir}/applications/%{name}.desktop

#--------------------------------------------------------------------

%prep
# Nothing to do here

%build
# Nothing to do here

%install
mkdir -p %buildroot%py_platsitedir/%name
mkdir -p %buildroot%_bindir
pushd %buildroot%py_platsitedir/%name
tar xzvf %SOURCE0
popd

cat > %buildroot%_bindir/%name <<EOF
#!/bin/bash
pushd %py_platsitedir/%name
python %name.py
EOF

# desktopfile
%__install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Coban
GenericName=Software for Electricians
Comment=Software for Electricians
Exec=sh %_bindir/%name
Icon=%py_platsitedir/%name/images/coban.png
Terminal=false
Type=Application
Categories=Science;Electronics;
EOF
 


%changelog
* Thu Jul 23 2015 philippem <philippem> 1.2.0-6.1.mga5
+ Revision: 856578
- fix mga#16397, make coban executable

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 744970
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 678457
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.2.0-4.mga5
+ Revision: 628137
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 503393
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 347957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 97700
- Fix desktop files install
- imported package coban

